Bug Hunting Session
Bug 113635 - FILEOPEN: EMF+ Intersect of images are not working correctly
Summary: FILEOPEN: EMF+ Intersect of images are not working correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:6.0.0
Keywords: regression
Depends on:
Blocks: EMF-WMF EMFPlus-Rework-Regressions
  Show dependency treegraph
 
Reported: 2017-11-03 22:33 UTC by Bartosz
Modified: 2017-11-14 07:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file (188.18 KB, image/x-emf)
2017-11-03 22:34 UTC, Bartosz
Details
Reference image taken from MS Office (969.85 KB, image/png)
2017-11-03 22:44 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2017-11-03 22:33:58 UTC
Description:
EMF+ EmfPlusRecordTypeSetClipRect and EmfPlusRecordTypeSetClipPath records needs to be updated after move to new engine.


Steps to Reproduce:
1. Drag test_libuemf_p.emf file into Writer document
2. 
3.

Actual Results:  
Intersect star is not show correctly

Expected Results:
Intersect star is shows correctly


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/62.0.3202.62 Chrome/62.0.3202.62 Safari/537.36
Comment 1 Bartosz 2017-11-03 22:34:46 UTC
Created attachment 137509 [details]
Sample file
Comment 2 Bartosz 2017-11-03 22:44:09 UTC
Created attachment 137510 [details]
Reference image taken from MS Office
Comment 3 Bartosz 2017-11-03 22:44:27 UTC
Review:
https://gerrit.libreoffice.org/#/c/44289/
Comment 4 Commit Notification 2017-11-04 22:55:06 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4

tdf#113635 Add support for Clip Intersect and XOR

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-11-09 12:25:07 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e49aa9303f047d7610b2b8334404db120d7bc8db

tdf#77229 tdf#113635 EMF+ Add support for Clip Union, Exclude and Complement

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.